package com.service;

import com.entity.EarlyWarning;

import java.util.List;
import java.util.Map;


public interface EarlyWarningService {

//  添加预警
  public int add(EarlyWarning po);
//  获取单个预警信息
  public EarlyWarning getById(int id);
//  修改预警
  public int update(EarlyWarning po);
//  删除预警
  public int delete(int id);
//  查询预警
  public List<EarlyWarning> getAll(Map<String, Object> map);
//  验证预警名称
  public EarlyWarning checkName(Map<String, Object> account);
//  分页显示
  public List<EarlyWarning> getByPage(Map<String, Object> map);
//  获取信息的条数
  public int getCount(Map<String, Object> po);


}
